No, its not released yet, but I’m digging in with Sinatra Ruby and since its a big, compatibility-breaking release, I want to be ready.

Thankfully I don’t have any “mission critical” applications running on Sinatra 0.9, only the Regdel demo, which already has bugs since I develop it on Ruby 1.8 and run the demo on 1.9.

So far, judging by the incompatibilities listed on the 1.0 FAQ, it looks like I’m in pretty good shape. I think I’m going to go for it!

I came upon the idea of upgrading as I’m planning to write up a sample sub-classed Sinatra app which investigates some features which I use, but don’t totally comprehend.

I’ll write up another post with my experience as I try out the pre-released versions.

UPDATE: Maybe that’s not necessary! I’ve installed the pre-release 1.0a and uninstalled 0.9.2 and 0.9.4 and Regdel still works. :-)